import { request } from './request'

const baseUri = ''
const auth = '/wx/auth'
const user = '/wx/user'

export function login(data) {
    return request({
        url: baseUri + auth + '/login_by_account',
        method: 'post',
        data: data
    })
}

export function authorize() {
    return request({
        url: baseUri + auth + '/authorize',
        method: 'get'
    })
}

export function getInfo(userId) {
    return request({
        url: baseUri + user + '/userInfo/' + userId,
        method: 'post'
    })
}
